Prereqs OEL5 (oracle-validated)

Olá, pessoal. Este post possui a intenção de ajudar no rápido cumprimento de pré-requisitos do SO para uma instalação de banco de dados Oracle 11g no Oracle Enterprise Linux 5 (conhecido como Oracle Linux na versão 6 e que também tem essa funcionalidade) utilizando o pacote oracle-validated com repositório local do yum. Lembrando que esta instalacao também pode ser feito direto da web se for configurado o yum repositório público.

Como root, devemos montar a imagem do SO no servidor, para este post montei no path /media/cdrom. Após este passo então iremos configurar o yum com um repositório local, basta acessar o path de repositório do yum em /etc/yum.repos.d e criar um arquivo de repositório. Apenas atentem para o parametro baseurl que é referente ao mount point da ISO mais o diretório Server, que é onde estão todos os pacotes rpms. Depois disso, executar o yum install oracle-validated que no meu caso, já está instalado.

[root@prim1 ~]# mount -o loop /dev/cdrom /media/cdrom
[root@prim1 ~]# cd /etc/yum.repos.d/
[root@prim1 yum.repos.d]# echo ‘
> [oel5x86]
> name=OEL5x86
> baseurl=file:///media/cdrom/Server
> gpgcheck=0
> enabled=1’ > oel5.repo
[root@prim1 yum.repos.d]# yum clean all
Loaded plugins: security
Cleaning up Everything
[root@prim1 yum.repos.d]# yum install oracle-validated
Loaded plugins: security
oel5x86                                                                                                   | 1.1 kB     00:00
oel5x86/primary                                                                                           | 795 kB     00:00
oel5x86                                                                                                                2278/2278
Setting up Install Process
Package oracle-validated-1.0.0-18.el5.i386 already installed and latest version
Nothing to do

Feito isto, serão criados os grupos (oinstall e dba) e o usuário oracle. Também serão configurados os parâmetros de kernel, limits.conf e todos os pacotes necessários a instalação. No meu ponto de vista, o único ajuste que eu acho necessário efetuar, é o número de id do user e dos groups. Atentando que na versão 6 do Oracle Linux, o nome  deste pacote mudou para oracle-rdbms-server-11gR2-preinstall

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google+ photo

You are commenting using your Google+ account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

w

Connecting to %s